# GWKokab

## A JAX-based gravitational-wave population inference toolkit

![GitHub License](https://img.shields.io/github/license/gwkokab/gwkokab)
[![Python package](https://github.com/gwkokab/gwkokab/actions/workflows/python-package.yml/badge.svg?branch=main)](https://github.com/gwkokab/gwkokab/actions/workflows/python-package.yml)

GWKokab is a JAX-based gravitational-wave population inference toolkit. It is designed to be a high-performance, flexible and easy-to-use library for sampling from a wide range of gravitational-wave population models. It is built on top of JAX, a high-performance numerical computing library, and is designed to be easily integrated into existing JAX workflows.

If you like to contribute, please see the [contributing guidelines](docs/contributing/contributing.md).

## Citing GWKokab

If you use GWKokab in your research, please cite the following paper:

```bibtex
@software{gwkokab2024github,
    author = {Meesum Qazalbash, Muhammad Zeeshan, Richard O'Shaughnessy},
    title = {{GWKokab}: A JAX-based gravitational-wave population inference},
    url = {https://github.com/gwkokab/gwkokab},
    version = {0.0.1},
    year = {2024}
}
```
